namespace SHNDecrypt
{
    using System;
    using System.ComponentModel;
    using System.Drawing;
    using System.Windows.Forms;

    public class DebugFrm : Form
    {
        private Button btnGenerate;
        private IContainer components;
        private Label label1;
        private Label label2;
        private Label label3;
        private frmMain mainfrm;
        private TextBox txt1;
        private TextBox txt2;
        private TextBox txtDebug;

        public DebugFrm(frmMain main)
        {
            this.mainfrm = main;
            this.InitializeComponent();
        }

        private void btnGenerate_Click(object sender, EventArgs e)
        {
            try
            {
                int num = int.Parse(this.txt1.Text);
                int num2 = int.Parse(this.txt2.Text);
                this.doActions(num, num2);
            }
            catch (Exception exception)
            {
                MessageBox.Show(exception.Message);
            }
        }

        private void DebugFrm_Load(object sender, EventArgs e)
        {
        }

        protected override void Dispose(bool disposing)
        {
            if (disposing && (this.components != null))
            {
                this.components.Dispose();
            }
            base.Dispose(disposing);
        }

        private void doActions(int num1, int num2)
        {
            try
            {
                this.txtDebug.Text = string.Empty;
                for (int i = 0; i < this.mainfrm.file.table.Rows.Count; i++)
                {
                    string text = this.txtDebug.Text;
                    this.txtDebug.Text = text + this.mainfrm.file.table.Rows[i][num1].ToString() + " - " + this.mainfrm.file.table.Rows[i][num2].ToString() + "\r\n";
                }
            }
            catch (Exception exception)
            {
                MessageBox.Show(exception.Message);
            }
        }

        private void InitializeComponent()
        {
            ComponentResourceManager manager = new ComponentResourceManager(typeof(DebugFrm));
            this.txtDebug = new TextBox();
            this.label1 = new Label();
            this.txt1 = new TextBox();
            this.label2 = new Label();
            this.txt2 = new TextBox();
            this.btnGenerate = new Button();
            this.label3 = new Label();
            base.SuspendLayout();
            this.txtDebug.Location = new Point(0x12, 0x1b);
            this.txtDebug.Multiline = true;
            this.txtDebug.Name = "txtDebug";
            this.txtDebug.ScrollBars = ScrollBars.Both;
            this.txtDebug.Size = new Size(0x145, 0x15f);
            this.txtDebug.TabIndex = 0;
            this.label1.AutoSize = true;
            this.label1.Location = new Point(15, 9);
            this.label1.Name = "label1";
            this.label1.Size = new Size(0x49, 13);
            this.label1.TabIndex = 1;
            this.label1.Text = "Column Links:";
            this.txt1.Location = new Point(0x5c, 4);
            this.txt1.Name = "txt1";
            this.txt1.RightToLeft = RightToLeft.Yes;
            this.txt1.Size = new Size(30, 20);
            this.txt1.TabIndex = 2;
            this.txt1.Text = "1";
            this.label2.AutoSize = true;
            this.label2.Location = new Point(140, 7);
            this.label2.Name = "label2";
            this.label2.Size = new Size(0x1a, 13);
            this.label2.TabIndex = 3;
            this.label2.Text = "with";
            this.txt2.Location = new Point(0xb7, 4);
            this.txt2.Name = "txt2";
            this.txt2.RightToLeft = RightToLeft.Yes;
            this.txt2.Size = new Size(0x23, 20);
            this.txt2.TabIndex = 4;
            this.txt2.Text = "2";
            this.btnGenerate.Location = new Point(0xf8, 5);
            this.btnGenerate.Name = "btnGenerate";
            this.btnGenerate.Size = new Size(0x47, 0x13);
            this.btnGenerate.TabIndex = 5;
            this.btnGenerate.Text = "Generate";
            this.btnGenerate.UseVisualStyleBackColor = true;
            this.btnGenerate.Click += new EventHandler(this.btnGenerate_Click);
            this.label3.AutoSize = true;
            this.label3.Location = new Point(0x13, 380);
            this.label3.Name = "label3";
            this.label3.Size = new Size(250, 13);
            this.label3.TabIndex = 6;
            this.label3.Text = "Please enter the 2 columns that are linked together.";
            base.AutoScaleDimensions = new SizeF(6f, 13f);
            base.AutoScaleMode = AutoScaleMode.Font;
            base.ClientSize = new Size(0x163, 0x19d);
            base.Controls.Add(this.label3);
            base.Controls.Add(this.btnGenerate);
            base.Controls.Add(this.txt2);
            base.Controls.Add(this.label2);
            base.Controls.Add(this.txt1);
            base.Controls.Add(this.label1);
            base.Controls.Add(this.txtDebug);
            base.Icon = (Icon) manager.GetObject("$this.Icon");
            base.Name = "DebugFrm";
            this.Text = "DebugFrm";
            base.Load += new EventHandler(this.DebugFrm_Load);
            base.ResumeLayout(false);
            base.PerformLayout();
        }
    }
}

